Bug 250853 - [exp-run] Update Qt5 and PyQt5/PySide2 to 5.15.2 and sip to 5.4.0
Summary: [exp-run] Update Qt5 and PyQt5/PySide2 to 5.15.2 and sip to 5.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-04 04:15 UTC by Loïc Bartoletti
Modified: 2020-12-08 20:05 UTC (History)
5 users (show)

See Also:
antoine: exp-run+


Attachments
Qt5-5.15.1 PyQt5 5.15.1 and sip 5.4.0 v1 (141.68 KB, patch)
2020-11-04 04:15 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
Qt5-5.15.1 PyQt5 5.15.1 and sip 5.4.0 v2 (141.11 KB, patch)
2020-11-09 19:28 UTC, Loïc Bartoletti
no flags Details | Diff
Qt5-5.15.1 PyQt5 5.15.1 and sip 5.4.0 v3 (168.28 KB, patch)
2020-11-14 06:58 UTC, Loïc Bartoletti
no flags Details | Diff
Patch updated to 5.15.2 (183.64 KB, patch)
2020-11-24 09:45 UTC, Adriaan de Groot
no flags Details | Diff
Qt5-5.15.2 PyQt5/PySide2 5.15.2 and sip 5.4.0 v4 (46 bytes, patch)
2020-12-03 08:35 UTC, Loïc Bartoletti
no flags Details | Diff
Qt5-5.15.2 PyQt5/PySide2 5.15.2 and sip 5.4.0 v4 (189.23 KB, patch)
2020-12-03 08:35 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-11-04 04:15:32 UTC
Created attachment 219347 [details]
Qt5-5.15.1 PyQt5 5.15.1 and sip 5.4.0 v1

Hello,

kde@ would like to ask for an exp-run to upgrade Qt5 and PyQt to 5.15.1, sip to 5.4.0
Lot's of fixes have already been committed to the tree, so this hopefully is more or less fallout-free (<=5 :D)

The patch is attached, and can also be found here:
https://people.freebsd.org/~lbartoletti/patches/qt5-5.15.1_v1.diff

Loïc
Comment 1 Antoine Brodin freebsd_committer 2020-11-09 07:13:18 UTC
There are conflicts everywhere,  can you update the patch?
Comment 2 Loïc Bartoletti freebsd_committer 2020-11-09 19:28:59 UTC
Created attachment 219499 [details]
Qt5-5.15.1 PyQt5 5.15.1 and sip 5.4.0 v2

It should be better. Commits rebased, conflicts merged and graphics/qgis fixed
Comment 3 Antoine Brodin freebsd_committer 2020-11-13 09:17:46 UTC
Exp-run can't start:

[00:01:06] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-serialport-5.15.1 from comms/py-qt5-serialport@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the port provi
de the 'py27' FLAVOR?
[00:01:06] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-sensors-5.15.1 from comms/py-qt5-sensors@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the port provide the
 'py27' FLAVOR?
[00:01:06] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-sql-5.15.1 from databases/py-qt5-sql@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the port provide the 'py
27' FLAVOR?
[00:01:07] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-dbus-5.15.1 from devel/py-qt5-dbus@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the port provide the 'py27
' FLAVOR?
[00:01:07] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-designerplugin-5.15.1 from devel/py-qt5-designerplugin@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the po
rt provide the 'py27' FLAVOR?
[00:01:07] Error: compute_deps_pkg failed to lookup pkgname for devel/py-qt5-sip@py27 processing package py27-qt5-core-5.15.1 from devel/py-qt5-core@py27 -- Is SUBDIR+=py-qt5-sip@py27 missing in devel/Makefile and does the port provide t
he 'py27' FLAVOR?
[00:01:07] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-core-5.15.1 from devel/py-qt5-core@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the port provide the 'py27
' FLAVOR?
[00:01:07] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-dbussupport-5.15.1 from devel/py-qt5-dbussupport@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the port pro
vide the 'py27' FLAVOR?
[00:01:07] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-designer-5.15.1 from devel/py-qt5-designer@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the port provide t
he 'py27' FLAVOR?
[00:01:07] Error: compute_deps_pkg failed to lookup existing pkgname for devel/py-qt5-sip@py27 processing package py27-qt5-core-5.15.1
[00:01:07] Error: compute_deps_pkg failed to lookup existing pkgname for devel/py-sip@py27 processing package py27-qt5-core-5.15.1
[00:01:07] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-location-5.15.1 from devel/py-qt5-location@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the port provide the 'py27' FLAVOR?
[00:01:07] Error: compute_deps_pkg failed to lookup pkgname for devel/py-sip@py27 processing package py27-qt5-help-5.15.1 from devel/py-qt5-help@py27 -- Is SUBDIR+=py-sip@py27 missing in devel/Makefile and does the port provide the 'py27' FLAVOR?
etc.
Comment 4 Loïc Bartoletti freebsd_committer 2020-11-14 06:58:04 UTC
Created attachment 219673 [details]
Qt5-5.15.1 PyQt5 5.15.1 and sip 5.4.0 v3

- USES= python:3.5+ since sip requires python:3.5+
- Convert some ports to USE_PYQT
- Update calibre (thanks to madpilot@)
Comment 5 Marcin Cieślak 2020-11-22 21:26:30 UTC
Not as good as the exp-run but my environment is dirty enough:

Out of the disappointment that calibre seems not to be available as a package for FreeBSD 11.4, I gave this patch a try. 

I have a pretty unclean environment on my laptop so I had to delete all qt5* ports as well as some remnants of qt5 directories.

So far the build goes good, I wonder if you intend to upgrade qt5-webengine as well?> pkg info qt5* py37-qt5*
qt5-buildtools-5.15.1_1
qt5-concurrent-5.15.1_1
qt5-core-5.15.1
qt5-dbus-5.15.1_1
qt5-declarative-5.15.1_2
qt5-gui-5.15.1_2
qt5-imageformats-5.15.1
qt5-location-5.15.1_1
qt5-network-5.15.1_1
qt5-printsupport-5.15.1_1
qt5-qmake-5.15.1
qt5-serialport-5.15.1_1
qt5-sql-5.15.1_1
qt5-svg-5.15.1_1
qt5-testlib-5.15.1_1
qt5-webchannel-5.15.1_1
qt5-widgets-5.15.1_1
py37-qt5-core-5.15.1
py37-qt5-gui-5.15.1
py37-qt5-network-5.15.1
py37-qt5-printsupport-5.15.1
py37-qt5-qml-5.15.1
py37-qt5-sip-12.8.0
py37-qt5-svg-5.15.1
py37-qt5-webchannel-5.15.1
py37-qt5-widgets-5.15.1


===>   qt5-webengine-5.15.0_5 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by qt5-webengine-5.15.0_5 for building
===>  Extracting for qt5-webengine-5.15.0_5
=> SHA256 Checksum OK for KDE/Qt/5.15.0/qtwebengine-everywhere-src-5.15.0.tar.xz.

The following got built ok:
Comment 6 Marcin Cieślak 2020-11-22 21:43:20 UTC
(sorry I pasted the list of packages in the middle of the comment instead of the end of it)
Comment 7 Tobias C. Berner freebsd_committer 2020-11-23 06:24:13 UTC
(In reply to Marcin Cieślak from comment #6)
qt5-webengine will be updated as soon as someone finds the required hours to waste on it :)

Most likely qt5 will be upgraded to 5.15.2 (upadte is on kde@ github port tree) with webengine sticking at 5.15.0 for a while. Given that December is nearing, and it still requires python2.7... 


mfg Tobias
Comment 8 Antoine Brodin freebsd_committer 2020-11-23 18:29:00 UTC
Exp-run looks fine
Comment 9 Adriaan de Groot freebsd_committer 2020-11-24 09:45:58 UTC
Created attachment 219918 [details]
Patch updated to 5.15.2
Comment 10 Adriaan de Groot freebsd_committer 2020-11-24 09:51:59 UTC
Qt 5.15.1 had some weird runtime effects and regressions on KDE Plasma, with fixes landing in Qt 5.15.2. This newest version of the patch bumps Qt to 5.15.2, PyQt to 5.15.1 (Loic, does that make sense?) and fixes some additional ports that fall over due to new deprecations.

It also fixes goldendict, which isn't Qt related but general C++ issues.
Comment 11 Loïc Bartoletti freebsd_committer 2020-11-25 06:01:40 UTC
(In reply to Adriaan de Groot from comment #10)
> PyQt to 5.15.1 (Loic, does that make sense?)

AFAIK PyQt version must be <= Qt Version. So it's ok for me.

Unless you were thinking of doing a PR for Qt and one for PyQt/Sip? We had put together to run only one exp-run.
Comment 12 Loïc Bartoletti freebsd_committer 2020-12-03 08:35:03 UTC
Created attachment 220211 [details]
Qt5-5.15.2 PyQt5/PySide2 5.15.2 and sip 5.4.0 v4
Comment 13 Loïc Bartoletti freebsd_committer 2020-12-03 08:35:37 UTC
Created attachment 220212 [details]
Qt5-5.15.2 PyQt5/PySide2 5.15.2 and sip 5.4.0 v4

New patch with devel/pyside2 updated to 5.15.2
Comment 14 Antoine Brodin freebsd_committer 2020-12-08 09:12:45 UTC
Exp-run looks fine
Comment 15 commit-hook freebsd_committer 2020-12-08 20:03:36 UTC
A commit references this bug:

Author: lbartoletti
Date: Tue Dec  8 20:03:16 UTC 2020
New revision: 557300
URL: https://svnweb.freebsd.org/changeset/ports/557300

Log:
  Update Qt/PySide2 to 5.15.2 / PyQt to 5.15.1 / SIP to 5.4.0
  This commit combines several updates.

  - Update Qt to 5.12.2
  - Update PyQt to 5.15.1
  - Since PySide 5.15.1 is broken with Qt 5.15.2, so PySide and Shiboken are also updated to 5.15.2.
  - Update sip to 5.4.0

  SIP is a collection of tools  to create Python bindings for C and C++ libraries and used by PyQt and wxPython. There are some changes with sip5 [1]:
  - python 3.5+ is required
  - sip drops support of old deprecated methods as sipdistutils & cie.
  - this version breaks also PyQt5 extension ABI. SIP files will be installed in ${PYTHON_SITELIBDIR}/PyQt${_PYQT_VERSION}/bindings
  - some ports will use the new pyqtbuilder package with the pyproject.toml setup. Instead if the project have a setup.py, you should use sip-build to build it.
  - if a port needs sip, it should also needs pysip. BTW, py-qt5-core requires pysip, so that should be enough for PyQt packages.

  List of ports impacted by this change. Most of the patches have been integrated or are in the process of being integrated upstream:

  - devel/libsavitar
  - graphics/py-python-poppler-qt5
  - net-im/scudcloud
  - net/libarcus
  - print/py-frescobaldi
  - science/py-veusz
  - graphics/qgis and graphics/qgis-ltr
  - deskutils/calibre

  A special note regarding calibre. New versions require sip>=5, we update it to the latest version (thanks to madpilot@)

  science/scidavis will remove the PyQt binding soon and there is no patch planned, so we remove the python option (ok makc@)

  While here, convert some ports to USE_PYQT (cad/cura, cad/uranium, devel/eric6, ...)

  Thanks to tcberner and adridg!

  [1] https://www.riverbankcomputing.com/static/Docs/sip/

  PR:                250853
  Exp-run by:        antoine

Changes:
  head/Mk/Uses/pyqt.mk
  head/Mk/Uses/qt.mk
  head/biology/py-ete3/Makefile
  head/cad/cura/Makefile
  head/cad/uranium/Makefile
  head/comms/py-qt5-sensors/Makefile
  head/comms/py-qt5-serialport/Makefile
  head/databases/py-qt5-sql/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/calibre/distinfo
  head/deskutils/calibre/files/patch-setup_build.py
  head/deskutils/calibre/files/patch-setup_translations.py
  head/deskutils/calibre/files/patch-src_calibre_linux.py
  head/deskutils/calibre/files/patch-src_calibre_utils_formatter.py
  head/deskutils/calibre/pkg-plist
  head/deskutils/kaddressbook/files/
  head/deskutils/kaddressbook/files/patch-git-8aee8d40ae2a1c920d3520163d550d3b49720226.diff
  head/devel/eric6/Makefile
  head/devel/libsavitar/Makefile
  head/devel/libsavitar/distinfo
  head/devel/py-qt5/Makefile
  head/devel/py-qt5/distinfo
  head/devel/py-qt5-core/Makefile
  head/devel/py-qt5-dbus/Makefile
  head/devel/py-qt5-dbussupport/Makefile
  head/devel/py-qt5-designer/Makefile
  head/devel/py-qt5-designerplugin/Makefile
  head/devel/py-qt5-help/Makefile
  head/devel/py-qt5-location/Makefile
  head/devel/py-qt5-qscintilla2/Makefile
  head/devel/py-qt5-remoteobjects/Makefile
  head/devel/py-qt5-test/Makefile
  head/devel/py-qtbuilder/Makefile
  head/devel/py-sip/Makefile
  head/devel/py-sip/distinfo
  head/devel/py-sip/files/
  head/devel/py-sip/pkg-plist
  head/devel/pyside2/Makefile
  head/devel/pyside2/distinfo
  head/devel/pyside2-tools/Makefile
  head/devel/pyside2-tools/distinfo
  head/devel/qt5/distinfo
  head/devel/qt5-assistant/files/patch-src__src.pro
  head/devel/qt5-buildtools/pkg-plist
  head/devel/qt5-core/Makefile
  head/devel/qt5-core/files/patch-src_corelib_time_qtimezoneprivate__tz.cpp
  head/devel/qt5-designer/files/patch-src__src.pro
  head/devel/qt5-help/files/patch-src__assistant__assistant.pro
  head/devel/qt5-help/files/patch-src__src.pro
  head/devel/qt5-linguist/files/patch-src__src.pro
  head/devel/qt5-linguisttools/files/patch-src__src.pro
  head/devel/qt5-qdbus/files/patch-src_src.pro
  head/devel/qt5-qdbusviewer/files/patch-src__src.pro
  head/devel/qt5-qdoc/files/patch-src_qdoc_qdoc.pro
  head/devel/qt5-qdoc/files/patch-src_src.pro
  head/devel/qt5-uitools/files/patch-src__src.pro
  head/devel/shiboken2/Makefile
  head/devel/shiboken2/distinfo
  head/devel/shiboken2/pkg-plist
  head/devel/tortoisehg/Makefile
  head/graphics/fractgen/files/patch-git-48cf904f47d9eb3819e6e5f6c19feaae0a3bf901.diff
  head/graphics/py-python-poppler-qt5/Makefile
  head/graphics/py-python-poppler-qt5/files/
  head/graphics/py-python-poppler-qt5/files/patch-poppler-qt5.sip
  head/graphics/py-python-poppler-qt5/files/patch-project.py
  head/graphics/py-python-poppler-qt5/files/patch-pyproject.toml
  head/graphics/py-python-poppler-qt5/files/patch-types.sip
  head/graphics/py-python-poppler-qt5/files/patch-version.sip.in
  head/graphics/py-python-poppler-qt5/pkg-plist
  head/graphics/py-qt5-svg/Makefile
  head/graphics/qgis/Makefile
  head/graphics/qgis/files/patch-cmake_FindPyQt5.py
  head/graphics/qgis/files/patch-cmake_FindSIP.py
  head/graphics/qgis-ltr/Makefile
  head/graphics/qgis-ltr/distinfo
  head/graphics/qt5-3d/pkg-plist
  head/graphics/qt5-pixeltool/files/patch-src__src.pro
  head/lang/py-qt5-qml/Makefile
  head/math/asymptote/Makefile
  head/misc/py-qt5-demo/Makefile
  head/misc/qt5-examples/distinfo
  head/misc/qt5-examples/pkg-plist
  head/misc/qt5-l10n/pkg-plist
  head/multimedia/py-qt5-multimedia/Makefile
  head/multimedia/py-qt5-multimediawidgets/Makefile
  head/net/calendarsupport/files/
  head/net/calendarsupport/files/patch-git-b4193fac.diff
  head/net/libarcus/Makefile
  head/net/libarcus/files/
  head/net/libarcus/files/patch-CMakeLists.txt
  head/net/libarcus/files/patch-cmake_FindSIP.cmake
  head/net/py-qt5-network/Makefile
  head/net/py-qt5-networkauth/Makefile
  head/net/qt5-network/files/patch-src_network_ssl_qsslcertificate__openssl.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslcontext__openssl.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslcontext__openssl__p.h
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols__p.h
  head/net-im/scudcloud/Makefile
  head/print/py-frescobaldi/Makefile
  head/print/py-qt5-printsupport/Makefile
  head/science/py-veusz/Makefile
  head/science/py-veusz/files/patch-pyqtdistutils.py
  head/science/scidavis/Makefile
  head/sysutils/qt5-qtdiag/files/patch-src_src.pro
  head/sysutils/qt5-qtpaths/files/patch-src_src.pro
  head/sysutils/qt5-qtplugininfo/files/patch-src_src.pro
  head/textproc/goldendict/files/
  head/textproc/goldendict/files/patch-sptr.hh
  head/textproc/kompare/files/
  head/textproc/kompare/files/patch-git-68d3eee3.diff
  head/textproc/py-qt5-xml/Makefile
  head/textproc/py-qt5-xmlpatterns/Makefile
  head/textproc/qt5-xmlpatterns/Makefile
  head/textproc/qt5-xmlpatterns/pkg-plist
  head/www/py-qt5-webchannel/Makefile
  head/www/py-qt5-webengine/Makefile
  head/www/py-qt5-webengine/distinfo
  head/www/py-qt5-webkit/Makefile
  head/www/py-qt5-webkitwidgets/Makefile
  head/www/py-qt5-websockets/Makefile
  head/x11/py-qt5-opengl/Makefile
  head/x11/qt5-qev/files/patch-src_src.pro
  head/x11-toolkits/py-qt5-chart/Makefile
  head/x11-toolkits/py-qt5-chart/distinfo
  head/x11-toolkits/py-qt5-gui/Makefile
  head/x11-toolkits/py-qt5-quick/Makefile
  head/x11-toolkits/py-qt5-quick3d/Makefile
  head/x11-toolkits/py-qt5-quickwidgets/Makefile
  head/x11-toolkits/py-qt5-widgets/Makefile
  head/x11-toolkits/qt5-declarative/Makefile
  head/x11-toolkits/qt5-declarative/pkg-plist
  head/x11-toolkits/qt5-quick3d/pkg-plist
  head/x11-toolkits/qt5-quickcontrols2/pkg-plist
  head/x11-toolkits/qt5-uiplugin/files/patch-src__src.pro
Comment 16 Loïc Bartoletti freebsd_committer 2020-12-08 20:05:55 UTC
Committed, thanks!

Thanks for the exp-run antoine!